/*
 Navicat Premium Data Transfer

 Source Server         : 2112B
 Source Server Type    : MySQL
 Source Server Version : 50557
 Source Host           : localhost:3306
 Source Schema         : zyrk

 Target Server Type    : MySQL
 Target Server Version : 50557
 File Encoding         : 65001

 Date: 19/07/2024 09:13:13
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for stu_cou
-- ----------------------------
DROP TABLE IF EXISTS `stu_cou`;
CREATE TABLE `stu_cou`  (
  `sc_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_id` int(11) NULL DEFAULT NULL,
  `s_id` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`sc_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of stu_cou
-- ----------------------------
INSERT INTO `stu_cou` VALUES (1, 2, 10);
INSERT INTO `stu_cou` VALUES (2, 1, 8);
INSERT INTO `stu_cou` VALUES (3, 2, 1);
INSERT INTO `stu_cou` VALUES (4, 2, 3);
INSERT INTO `stu_cou` VALUES (5, 3, 3);
INSERT INTO `stu_cou` VALUES (6, 2, 10);
INSERT INTO `stu_cou` VALUES (7, 2, 1);
INSERT INTO `stu_cou` VALUES (8, 3, 4);
INSERT INTO `stu_cou` VALUES (9, 2, 5);
INSERT INTO `stu_cou` VALUES (10, 2, 7);
INSERT INTO `stu_cou` VALUES (11, 2, 10);
INSERT INTO `stu_cou` VALUES (12, 3, 7);
INSERT INTO `stu_cou` VALUES (13, 3, 5);
INSERT INTO `stu_cou` VALUES (14, 3, 5);
INSERT INTO `stu_cou` VALUES (15, 2, 10);

-- ----------------------------
-- Table structure for student
-- ----------------------------
DROP TABLE IF EXISTS `student`;
CREATE TABLE `student`  (
  `eid` int(11) NOT NULL AUTO_INCREMENT,
  `ename` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sex` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `tel` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `classid` int(11) NULL DEFAULT NULL,
  `age` int(11) NULL DEFAULT NULL,
  `sal` double(50, 2) NULL DEFAULT NULL,
  PRIMARY KEY (`eid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of student
-- ----------------------------
INSERT INTO `student` VALUES (1, '雷秀英', '女', '13026334953', 18, 28, 2112.12);
INSERT INTO `student` VALUES (2, '苏璐', '女', '15329043438', 29, 26, 3147.94);
INSERT INTO `student` VALUES (3, '高安琪', '女', '15780675303', 19, 22, 6887.02);
INSERT INTO `student` VALUES (4, '赵子异', '男', '16847806488', 24, 25, 1134.34);
INSERT INTO `student` VALUES (5, '谭子韬', '男', '7604828155', 15, 29, 4218.50);
INSERT INTO `student` VALUES (6, '崔詩涵', '女', '15854094781', 12, 27, 6269.27);
INSERT INTO `student` VALUES (7, '谭子异', '男', '17550739897', 13, 25, 8157.68);
INSERT INTO `student` VALUES (8, '王晓明', '男', '1088562136', 28, 21, 2316.10);
INSERT INTO `student` VALUES (9, '龚晓明', '男', '17546884117', 22, 23, 1345.90);
INSERT INTO `student` VALUES (10, '秦璐', '女', '7550450276', 14, 22, 8414.11);
INSERT INTO `student` VALUES (11, '雷杰宏', '男', '16231006588', 26, 27, 9603.71);
INSERT INTO `student` VALUES (12, '胡杰宏', '男', '7692605247', 16, 23, 7573.97);
INSERT INTO `student` VALUES (13, '毛致远', '男', '284936813', 25, 28, 2790.66);
INSERT INTO `student` VALUES (14, '杨杰宏', '男', '15589530119', 21, 26, 7437.80);
INSERT INTO `student` VALUES (15, '龙子韬', '男', '16506983856', 17, 21, 3208.69);
INSERT INTO `student` VALUES (16, '梁子异', '男', '107053065', 27, 23, 6574.22);
INSERT INTO `student` VALUES (17, '贺嘉伦', '男', '18635171416', 30, 27, 3704.91);
INSERT INTO `student` VALUES (18, '沈睿', '男', '18938874896', 23, 23, 7364.48);
INSERT INTO `student` VALUES (19, '李睿', '男', '2129561607', 11, 26, 9341.06);
INSERT INTO `student` VALUES (20, '林子异', '男', '16788170077', 10, 22, 8338.15);
INSERT INTO `student` VALUES (21, '大学生', '男', '2342342535', 20, 20, 3242.34);

-- ----------------------------
-- Table structure for t_course
-- ----------------------------
DROP TABLE IF EXISTS `t_course`;
CREATE TABLE `t_course`  (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`c_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of t_course
-- ----------------------------
INSERT INTO `t_course` VALUES (1, '语文');
INSERT INTO `t_course` VALUES (2, '数学');
INSERT INTO `t_course` VALUES (3, '英语');

-- ----------------------------
-- Table structure for t_student
-- ----------------------------
DROP TABLE IF EXISTS `t_student`;
CREATE TABLE `t_student`  (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sex` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`s_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Compact;

-- ----------------------------
-- Records of t_student
-- ----------------------------
INSERT INTO `t_student` VALUES (1, '陈詩涵', '女');
INSERT INTO `t_student` VALUES (2, '高秀英', '女');
INSERT INTO `t_student` VALUES (3, '周子异', '男');
INSERT INTO `t_student` VALUES (4, '钱云熙', '男');
INSERT INTO `t_student` VALUES (5, '史致远', '男');
INSERT INTO `t_student` VALUES (6, '蔡詩涵', '女');
INSERT INTO `t_student` VALUES (7, '马睿', '男');
INSERT INTO `t_student` VALUES (8, '黄嘉伦', '男');
INSERT INTO `t_student` VALUES (9, '刘杰宏', '男');
INSERT INTO `t_student` VALUES (10, '常子韬', '男');

SET FOREIGN_KEY_CHECKS = 1;
